{% extends 'match/base.html' %}
{% load static %}
{% block content %}

<style type="text/css">
	.profile-image{
		max-height: 200px;
		max-width: 200px;
	}
	.profile-image{
		border-radius: 12px;
	}
	.red{color: #F70D1A}
	.blue{color: #87CEEB}
	details summary {
	    cursor: pointer;
	}
	.header-fix {
		display: inline;
	}
</style>

<div class="image-container" id="id_image_container">
	<img class="profile-image" id="id_profile_image_display" src="{{form.initial.avatar}}" alt="profile_image">
</div>

<details>
	<summary>Notes on editing your account</summary>
	<p>
		All fields on this form will be updated when you hit 'submit' at the bottom of this form.<br>
		If you hit the submit button and you are not redirected, some change you made was not allowed.<br>
		In that case, check the bottom of the page (just above the submit button) for error reporting codes.<br>
		A note to those with JS disabled: you will have to manually reset drop-down fields when you load this page.<br>
		This is some of the only JS on the site, I do not have a better way to set them to your profile's existing value.
	</p>
</details>

{% if request.user.xyz != "Y" %}
	<p>
		<a class="blue" href="/find/udim">Click here update your avatar and header images</a>
	</p>
	<p>
		<a class="red" href="/find/delete">Click here if you want to delete your profile</a>
	</p>
{% endif %}

<form class="form-signin" method="post" enctype="multipart/form-data">
	{% csrf_token %}

	<h4>My Display Name (Required)</h4>
	<input type="text" name="uhand" id="id_input_uhand" maxlength="75" class="form-control" placeholder="Display Name" required autofocus value="{{form.initial.uhand}}">

	<br><br>
	<h4 class="header-fix">I'm here for (Required)</h4>
	<details>
		<summary>Details</summary>
		<p>You are able to use the site for both dating and making new friends, here you can opt to do one exclusively.<br>
		This will affect whether your account can use the associated match feature or appears in results for others.</p>
	</details>
	<select name="seek" id="id_seek">
		<option value="0">Both</option>
		<option value="1">Social</option>
		<option value="2">Romantic</option>
	</select>
	<script>document.getElementById('id_seek').value="{{form.initial.seek}}";</script>

	<br><br>
	<h4 class="header-fix">I am (Required)</h4>
	<details>
		<summary>Details</summary>
		<p>You are allowed to not select a sex/gender if you don't want to.<br>
		This will affect your match results and whether your account appears in results for others.</p>
	</details>
	<select name="sex" id="id_sex">
		<option value="0">Not telling</option>
		<option value="1">Male</option>
		<option value="2">Female</option>
		<option value="3">Trans (FtM)</option>
		<option value="4">Trans (MtF)</option>
		<option value="5">Non-Binary</option>
	</select>
	<script>document.getElementById('id_sex').value="{{form.initial.sex}}";</script>

	<br><br>
	<h4 class="header-fix">My relationship status (Required)</h4>
	<details>
		<summary>Details</summary>
		<p>You are allowed to not select a relationship status if you don't want to.<br>
		This will affect whether your account can use the romantic match feature or appears in results for others.</p>
	</details>
	<select name="rel_stat" id="id_rel_stat">
		<option value="0">Not telling</option>
		<option value="1">Single</option>
		<option value="2">In a relationship</option>
		<option value="3">Married</option>
		<option value="4">Divorced</option>
		<option value="5">Waiting for a miracle</option>
	</select>
	<script>document.getElementById('id_rel_stat').value="{{form.initial.rel_stat}}";</script>

	<br><br>
	<h4 class="header-fix">My orientation (Required)</h4>
	<details>
		<summary>Details</summary>
		<p>You are allowed to not select a sexual orientation if you don't want to.<br>
		This will affect your match results and whether your account appears in results for others.</p>
	</details>
	<select name="orient" id="id_orient">
		<option value="0">Not telling</option>
		<option value="1">Hetero</option>
		<option value="2">Homo</option>
		<option value="3">Other</option>
	</select>
	<script>document.getElementById('id_orient').value="{{form.initial.orient}}";</script>

	<h4>I'm attracted to (Not required)</h4>
	{% if form.initial.attract %}
		<input type="text" name="attract" id="id_input_attract" maxlength="50" class="form-control" placeholder="attraction" value="{{form.initial.attract}}">
	{% else %}
		<input type="text" name="attract" id="id_input_attract_empty" maxlength="50" class="form-control" placeholder="attraction">
	{% endif %}

	<h4>Bio (Not required)</h4>
	<textarea name="bio" cols="100" rows="14" maxlength="2000" id="id_input_bio">{% if form.initial.bio %}{{form.initial.bio}}{% endif %}</textarea>

	<h4>Interests (Not required)</h4>
	<p>Use a comma separated list.<br> Example: Computers,camping,crank calls,etc...</p>
	<textarea name="interests" cols="100" rows="1" maxlength="100" id="id_input_interests">{% if form.initial.interests %}{{form.initial.interests}}{% endif %}</textarea>

	<h4>Language(s) (Not required)</h4>
	<p>Use a comma separated list.<br> Example: English,Japanese,Traditional Chinese,etc...</p>
	<p>Languages you know:</p>
	<textarea name="lang_known" cols="100" rows="1" maxlength="100" id="id_input_lang_known">{% if form.initial.lang_known %}{{form.initial.lang_known}}{% endif %}</textarea>
	<p>Languages you want to learn:</p>
	<textarea name="lang_learn" cols="100" rows="1" maxlength="100" id="id_input_lang_learn">{% if form.initial.lang_learn %}{{form.initial.lang_learn}}{% endif %}</textarea>

	<h4>Myers–Briggs Type Indicator [MBTI] (Not required)</h4>
	<p>If you do not know your type but would like to, try taking the test <a class="blue" href="https://www.16personalities.com/free-personality-test">here</a>.<br>
	Alternate 4 letter strings are allowed but only real MBTI strings will be used in the matching function.</p>
	{% if form.initial.mbti %}
		<input type="text" name="mbti" id="id_input_mbti" maxlength="4" class="form-control" placeholder="OOOO" value="{{form.initial.mbti}}">
	{% else %}
		<input type="text" name="mbti" id="id_input_mbti_empty" maxlength="4" class="form-control" placeholder="OOOO">
	{% endif %}

	<h4>Political Compass Coordinates (Not required)</h4>
	If you do not know your coordinates but would like to, try taking the test <a class="blue" href="https://www.politicalcompass.org/test">here</a>.
	<p>
	<label for="id_input_height_in">Economic scale (-10,10):</label>
	<input type="number" name="pol_eco" id="id_input_pol_eco" class="form-control" min=-10 max=10 step="0.01" value="{{form.initial.pol_eco}}">
	<br/>
	<label for="id_input_height_ft">Social scale (-10,10):</label>
	<input type="number" name="pol_soc" id="id_input_pol_soc" class="form-control" min=-10 max=10 step="0.01" value="{{form.initial.pol_soc}}">
	</p>

	<h4 class="header-fix">Curated Posts & Pictures (Not required)</h4>
	<details>
		<summary>Click here for instructions</summary>
		<p>Add links to your favorite posts or pictures as a new line prepended with [img] or [post].<br>
		To prevent disturbing images and trick links, only links to approved instances are allowed here.</p>
		<p>Example:</p>
		<p>[img]https://instance.domain/media/file/dir/filename.extension<br>
		[post]https://instance.domain/web/statuses/123456789</p>
	</details>
	<textarea name="photos" cols="100" rows="14" maxlength="2000" id="id_input_photos">{% if form.initial.photos %}{{form.initial.photos}}{% endif %}</textarea>

	<br><br>
	<h4 class="header-fix">Questionnaire (Not required)</h4>
	<details>
		<summary>Click here for instructions</summary>
		<p>Add questions for your potential matches. Prepend each question with [q], new lines are optional.</p>
		<p>Example:</p>
		<p>[q]How do you feel about freedom of speech?</p>
	</details>
	<textarea name="quiz" cols="100" rows="14" maxlength="2000" id="id_input_quiz">{% if form.initial.quiz %}{{form.initial.quiz}}{% endif %}</textarea>

	<h4>Location - Name (Not required)</h4>
	{% if form.initial.location %}
		<input type="text" name="location" id="id_input_location" maxlength="50" class="form-control" placeholder="location" value="{{form.initial.location}}">
	{% else %}
		<input type="text" name="location" id="id_input_location_empty" maxlength="50" class="form-control" placeholder="location">
	{% endif %}

	<h4>Location - Coordinates (Not required)</h4>
	<p>You can find coordinates easily with <a class="blue" href="https://nominatim.openstreetmap.org/search?q=350+5th+Ave+New+York+City&format=json&addressdetails=1" target="_blank">this service</a>
	just replace the address in the URL with one of your choosing.<br> This field takes decimals (not deg/min/sec) to a maximum of 12 digits after the decimal point.</p>
	<p>
	<label for="id_input_loc_lat">Latitude (-90,90):</label>
	<input type="number" name="loc_lat" id="id_input_loc_lat" class="form-control" min=-90 max=90 step="0.000000000001" value="{{form.initial.loc_lat}}">
	<br/>
	<label for="id_input_loc_lon">Longitude (-180,180):</label>
	<input type="number" name="loc_lon" id="id_input_loc_lon" class="form-control" min=-180 max=180 step="0.000000000001" value="{{form.initial.loc_lon}}">
	</p>

	<h4>Race/Ethnicity (Not required)</h4>
	{% if form.initial.race %}
		<input type="text" name="race" id="id_input_race" maxlength="50" class="form-control" placeholder="race" value="{{form.initial.race}}">
	{% else %}
		<input type="text" name="race" id="id_input_race_empty" maxlength="50" class="form-control" placeholder="race">
	{% endif %}

	<h4>Religion (Not required)</h4>
	{% if form.initial.reli %}
		<input type="text" name="reli" id="id_input_reli" maxlength="50" class="form-control" placeholder="religion" value="{{form.initial.reli}}">
	{% else %}
		<input type="text" name="reli" id="id_input_reli_empty" maxlength="50" class="form-control" placeholder="religion">
	{% endif %}

	<h4>Occupation (Not required)</h4>
	{% if form.initial.occupation %}
		<input type="text" name="occupation" id="id_input_occupation" maxlength="50" class="form-control" placeholder="occupation" value="{{form.initial.occupation}}">
	{% else %}
		<input type="text" name="occupation" id="id_input_occupation_empty" maxlength="50" class="form-control" placeholder="occupation">
	{% endif %}

	<h4>Stats (Only Age is required)</h4>
	<p>
	<label for="id_input_height_ft">Height (ft) (0-8):</label>
	<input type="number" name="height_ft" id="id_input_height_ft" class="form-control" min=0 max=8 value="{{form.initial.height_ft}}">
	<br/>
	<label for="id_input_height_in">Height (in) (0-11):</label>
	<input type="number" name="height_in" id="id_input_height_in" class="form-control" min=0 max=11 value="{{form.initial.height_in}}">
	<br/>
	<label for="id_input_weight">Weight (lbs) (0-500):</label>
	<input type="number" name="weight" id="id_input_weight" class="form-control" min=0 max=500 value="{{form.initial.weight}}">
	<br/>
	<label for="id_input_age">Age (years) (18-100):</label>
	<input type="number" name="age" id="id_input_age" class="form-control" min=18 max=100 value="{{form.initial.age}}">
	</p>

	{% if form.initial.check %}
		{% for field in form %}
		<p>
			{% for error in field.errors %}
				<p style="color: red">Error: {{ error }} (Field: {{ field.name }})<br>
				{% if field.name in form.initial.check %}
					Details:<br>
					You do not have to put real data in this field but it must be a number.
					Don't make it blank, just leave it on the default of 0 if you prefer not to answer.
				{% endif %}
				</p>
			{% endfor %}
		</p>
		{% endfor %}
	{% endif %}

	<button type="submit">Save</button>
</form>

<script type="text/javascript">
	var w = screen.availWidth;
	var h = screen.availHeight;
	if (w < h) {
	  document.getElementById('id_input_bio').cols = "45";
	  document.getElementById('id_input_interests').cols = "45";
	  document.getElementById('id_input_photos').cols = "45";
	  document.getElementById('id_input_quiz').cols = "45";
	}
</script>
{% endblock content %}